package com.keao.edu.user.dto;

import com.keao.edu.auth.api.entity.SysUser;
import com.keao.edu.user.entity.ExamRegistration;
import com.keao.edu.user.api.entity.ExamRoomStudentRelation;
import com.keao.edu.user.entity.Subject;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2020.06.24
 */
public class ExamRoomStudentRelationDto extends ExamRoomStudentRelation {

    @ApiModelProperty(value = "学员详情")
    private SysUser studentInfo;

    @ApiModelProperty(value = "专业信息")
    private Subject subject;

    @ApiModelProperty(value = "报名信息")
    private ExamRegistration examRegistration;

    public SysUser getStudentInfo() {
        return studentInfo;
    }

    public void setStudentInfo(SysUser studentInfo) {
        this.studentInfo = studentInfo;
    }

    public Subject getSubject() {
        return subject;
    }

    public void setSubject(Subject subject) {
        this.subject = subject;
    }

    public ExamRegistration getExamRegistration() {
        return examRegistration;
    }

    public void setExamRegistration(ExamRegistration examRegistration) {
        this.examRegistration = examRegistration;
    }
}
